/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "MPDStatus.h"


@implementation MPDStatus

-(id)init {
    self = [super init];
    return self;
}

- (NSString *)album {
    return album;
}

- (void)setAlbum:(NSString *)aAlbum {
    album = aAlbum;
}

- (NSString *)artist {
    return artist;
}

- (void)setArtist:(NSString *)aArtist {
    artist = aArtist;
}

- (NSString *)albumArtist {
    return albumArtist;
}

- (void)setAlbumArtist:(NSString *)aAlbumArtist {
    albumArtist = aAlbumArtist;
}

- (NSString *)title {
    return title;
}

- (void)setTitle:(NSString *)aTitle {
    title = aTitle;
}

- (NSString *)path {
    return path;
}

- (void)setPath:(NSString *)aPath {
    path = aPath;
}

- (unsigned int)elapsedTime {
    return elapsedTime;
}

- (void)setElapsedTime:(unsigned int *)aElapsedTime {
    elapsedTime = *aElapsedTime;
}

- (int)totalTime {
    return totalTime;
}

- (void)setTotalTime:(int *)aTotalTime {
    totalTime = *aTotalTime;
}

- (int)titlePosition {
    return titlePosition;
}

- (void)setTitlePosition:(int *)aTitlePosition {
    titlePosition = *aTitlePosition;
}

- (int)state {
    return state;
}

- (void)setState:(int *)aState {
    state = *aState;
}

- (unsigned)volume {
    return volume;
}

- (void)setVolume:(unsigned *)aVolume {
    volume = *aVolume;
}

@end
