/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

@interface Album : NSObject {
    NSString *artist;
    NSString *albumName;
    NSString *path;
    NSString *genre;
    NSButton *sender;
    int date;
}

- (NSString *)artist;
- (NSString *)albumName;
- (NSString *)path;
- (NSString *)genre;
- (int)date;

- (void)setArtist:(NSString *)aArtist;
- (void)setAlbumName:(NSString *)aAlbumName;
- (void)setPath:(NSString *)aPath;
- (void)setGenre:(NSString *)aGenre;
- (void)setDate:(int)aDate;

@end
