/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

#import "Song.h"


@implementation Song

-(id)init {
    self = [super init];
    return self;
}

- (NSString *)artist {
    if (artist.length == 0 || [artist isEqualToString:@"(null)"])
        artist = @"";
    return artist;
}

- (void)setArtist:(NSString *)aArtist {
    artist = aArtist;
}

- (NSString *)albumArtist {
    if (albumArtist.length == 0 || [albumArtist isEqualToString:@"(null)"])
        albumArtist = @"";
    return albumArtist;
}

- (void)setAlbumArtist:(NSString *)aAlbumArtist {
    albumArtist = aAlbumArtist;
}

- (NSString *)composer {
    if (composer.length == 0 || [composer isEqualToString:@"(null)"])
        composer = @"";
    return composer;
}

- (void)setComposer:(NSString *)aComposer {
    composer = aComposer;
}

- (NSString *)album {
    if (album.length == 0 || [album isEqualToString:@"(null)"])
        album = @"";
    return album;
}

- (void)setAlbum:(NSString *)aAlbum {
    album = aAlbum;
}

- (NSString *)title {
    if (title.length == 0 || [title isEqualToString:@"(null)"])
        title = @"";
    return title;
}

- (void)setTitle:(NSString *)aTitle {
    title = aTitle;
}

- (NSString *)fullPath {
    return fullPath;
}

- (void)setFullPath:(NSString *)aFullPath {
    fullPath = aFullPath;
}

- (int)track {
    return track;
}

- (void)setTrack:(int)aTrack{
    track = aTrack;
}

- (int)totalTrack{
    return totalTrack;
}

- (void)setTotalTrack:(int)aTotalTrack{
    totalTrack = aTotalTrack;
}

- (int)diskNb{
    return diskNb;
}

- (void)setDiskNb:(int)aDiskNb{
    diskNb = aDiskNb;
}

- (int)date{
    return date;
}

- (void)setDate:(int)aDate{
    date = aDate;
}

- (float)duration{
    return duration;
}

- (void)setDuration:(int)aDuration{
    duration = aDuration;
}

- (NSString *)genre {
    if (genre.length == 0 || [genre isEqualToString:@"(null)"])
        genre = @"";
    return genre;
}

- (void)setGenre:(NSString *)aGenre {
    genre = aGenre;
}

- (NSString *)comment {
    if (comment.length == 0 || [comment isEqualToString:@"(null)"])
        comment = @"";
    return comment;
}

- (void)setComment:(NSString *)aComment {
    comment = aComment;
}

- (NSString *)extension {
    return extension;
}

- (void)setExtension:(NSString *)aExtension {
    extension = aExtension;
}

- (int)bits {
    return bits;
}

- (void)setBits:(int)aBits {
    bits = aBits;
}

@end
