//
//  SetNameDialog.m
//  MPD Client
//
//  Created by icare on 08/03/2019.
//  Copyright © 2019 Old-Geek Inc. All rights reserved.
//

#import "SetNameDialog.h"


@implementation SetNameDialog

NSString *titleSetName;
NSString *notifSetName;
NSString *actionSetName;

- (instancetype)init:(NSArray *)array {
    self = [super initWithWindowNibName:@"SetNameDialog"];
    titleSetName = array[0];
    notifSetName = array[1];
    actionSetName = array[2];
    return self;
}

- (void)awakeFromNib {
    [self.setNameWindow makeKeyAndOrderFront:nil];
    [self.setNameWindow setLevel:NSStatusWindowLevel];
    [[self setNameWindow] setTitle:titleSetName];
}

- (IBAction)ok:(id)sender {
    if ([textField stringValue].length > 1) {
        NSDictionary* robert = @{@"close": actionSetName, @"name": [textField stringValue]};
        [[NSNotificationCenter defaultCenter] postNotificationName:notifSetName object:nil userInfo:robert];
        [[self setNameWindow] close];
    }
}

- (IBAction)cancel:(id)sender {
    NSDictionary* larousse = @{@"close": @"cancel"};
    [[NSNotificationCenter defaultCenter] postNotificationName:notifSetName object:nil userInfo:larousse];
    [[self setNameWindow] close];
}

@end
