/*
 * MPDclient - Music Player Daemon (MPD) remote for Mac OS
 * Copyright (C) 2019  Old-Geek
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */


#import "../../MPDService/MPDCache.h"


@interface RadioView : NSCollectionView  <NSTableViewDataSource, NSTableViewDelegate, MPDRadioDelegate> {
    
    IBOutlet NSTextField *titreCollectionView;
    IBOutlet NSProgressIndicator *progressCircle;
    IBOutlet NSSearchField *radioSearchField;
}


@property (weak) IBOutlet NSTableView *radioTableView;
@property (weak) IBOutlet NSCollectionView *radioCollectionView;

- (IBAction)previousButton:(id)sender;
- (IBAction)search:(id)sender;

- (void)getURLContent:(NSString *)url name:(NSString *)name;

@end
